> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mercoa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server.

# Search transactions

GET https://api.mercoa.com/transactions

Search transactions

Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/transaction/find

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `entityId` (string, optional) — Filter transactions by the ID or foreign ID of the entity that created the transaction.
- `entityGroupId` (string, optional) — Filter transactions by the ID or foreign ID of the entity group that the entity belongs to.
- `startDate` (datetime, optional) — CREATED_AT Start date filter.
- `endDate` (datetime, optional) — CREATED_AT End date filter.
- `limit` (integer, optional) — Number of transactions to return. Limit can range between 1 and 100, and the default is 10.
- `startingAfter` (string, optional) — The ID of the transactions to start after. If not provided, the first page of transactions will be returned.
- `search` (string, optional) — Find transactions by vendor name, invoice number, check number, or amount. Partial matches are supported.
- `metadata` (object, optional) — Filter transactions by invoice metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
  - `key` (string, required)
  - `value` (string or list of string, required) — If multiple values are provided, the filter will match if any of the values match (OR filter). To filter for the absence of a key, use the value 'NULL'. To filter for the presence of a key, use the value 'NOT NULL'.
- `lineItemMetadata` (object, optional) — Filter transactions by invoice line item metadata. Each filter will be applied as an AND condition. Duplicate keys will be ignored.
  - `key` (string, required)
  - `value` (string or list of string, required) — If multiple values are provided, the filter will match if any of the values match (OR filter). To filter for the absence of a key, use the value 'NULL'. To filter for the presence of a key, use the value 'NOT NULL'.
- `lineItemGlAccountId` (string, optional) — Filter transactions by invoice line item GL account ID. Each filter will be applied as an OR condition. Duplicate keys will be ignored.
- `payerId` (string, optional) — Filter transactions by payer ID or payer foreign ID.
- `vendorId` (string, optional) — Filter transactions by vendor ID or vendor foreign ID.
- `invoiceId` (string, optional) — Filter transactions by invoice ID or invoice foreign ID.
- `transactionId` (string, optional) — Filter transactions by transaction ID.
- `status` (enum, optional) — Transaction status to filter on
  - Allowed values: `CREATED`, `PENDING`, `COMPLETED`, `FAILED`, `REVERSED`, `QUEUED`, `CANCELED`, `RETURNED`
- `transactionType` (enum, optional) — Filter transactions by transaction type
  - Allowed values: `bankAccountToBankAccount`, `bankAccountToMailedCheck`, `bankAccountToPrintedCheck`, `bankAccountToWallet`, `cardToBankAccount`, `cardToWallet`, `walletToBankAccount`, `walletToWallet`, `custom`, `offPlatform`
- `creatorUserId` (string, optional, deprecated) — Filter transactions by creator user ID. Does not work, do not use.

## Response

### 200

- `count` (integer, required)
- `hasMore` (boolean, required)
- `data` (list of object, required)
  - `type`: `bankAccountToBankAccount`
    - `amount` (double, required)
    - `createdAt` (datetime, required)
    - `currency` (string, required)
    - `id` (string, required)
    - `invoices` (list of object, required) — Invoices associated with this transaction
      - `approvalPolicy` (list of object, required)
        - `id` (string, required)
        - `trigger` (list of object, required)
          - `type`: `amount`
            - `amount` (double, required)
            - `currency` (enum, required)
            - `comparison` (enum, optional) — The comparison operator to use when comparing the amount to the trigger amount. Defaults to gte.
          - `type`: `vendor`
            - `vendorIds` (list of string, required)
          - `type`: `metadata`
            - `key` (string, required) — The metadata key to match
            - `value` (list of string, required) — The metadata value the invoice must have to trigger this policy
          - `type`: `catchall`
        - `rule` (object, required)
          - `type`: `approver`
            - `identifierList` (object, required) — List of users or roles that should be used to determine eligible approvers
            - `numApprovers` (integer, required) — Number of approvals required to approve an invoice
            - `autoAssign` (boolean, optional) — If true, the policy will automatically assign approvers to the invoice. If more than one approver is eligible, the policy will assign all eligible approvers to the invoice.
          - `type`: `automatic`
        - `upstreamPolicyId` (string, required)
        - `createdAt` (datetime, required)
        - `updatedAt` (datetime, required)
      - `approvers` (list of object, required)
        - `approvalPolicyId` (string, required) — The identifier for the approval policy this slot is associated with.
        - `approvalSlotId` (string, required) — The identifier for this approval slot
        - `action` (enum, required)
          - Allowed values: `NONE`, `APPROVE`, `REJECT`
        - `eligibleRoles` (list of string, required)
        - `eligibleUserIds` (list of string, required)
        - `date` (datetime, required) — Either the date the invoice was created, date the approver was assigned, or date of last action by approver, whichever is latest.
        - `upstreamPolicyId` (string, optional) — The identifier for the upstream policy this slot is associated with.
        - `upstreamPoliciesApproved` (boolean, optional) — Whether all upstream policies are approved.
        - `assignedUserId` (string, optional) — The ID of the user who is assigned to the approval slot. If undefined, the approval slot is assigned to all eligible approvers.
      - `createdAt` (datetime, required)
      - `hasDocuments` (boolean, required) — True if the invoice has documents attached.
      - `hasSourceEmail` (boolean, required) — True if the invoice was created by an incoming email.
      - `id` (string, required)
      - `metadata` (map from string to string, required) — Metadata associated with this invoice.
      - `paymentDestinationConfirmed` (boolean, required) — True if the payment destination has been confirmed by the vendor. False if the payment destination has been set (for example, a check to an address) but has not been confirmed by the vendor.
      - `status` (enum, required)
        - Allowed values: `UNASSIGNED`, `DRAFT`, `NEW`, `APPROVED`, `SCHEDULED`, `PENDING`, `PAID`, `ARCHIVED`, `REFUSED`, `CANCELED`, `FAILED`
      - `updatedAt` (datetime, required)
      - `amount` (double, optional) — Total amount of invoice in major units
      - `batchPayment` (boolean, optional) — If true, this invoice will be paid as a batch payment. Batches are automatically determined by Mercoa based on the payment source, destination, and scheduled payment date.
      - `comments` (list of object, optional)
        - `id` (string, required)
        - `text` (string, required)
        - `createdAt` (datetime, required)
        - `updatedAt` (datetime, required)
        - `user` (object, optional)
          - `id` (string, required)
          - `roles` (list of string, required)
          - `createdAt` (datetime, required)
          - `updatedAt` (datetime, required)
          - `foreignId` (string, optional) — The ID used to identify this user in your system.
          - `email` (string, optional)
          - `name` (string, optional)
        - `associatedApprovalAction` (object, optional) — If an approval action has triggered the generation of this comment, returns the associated approval action and actor
          - `userId` (string, required)
          - `action` (enum, required)
            - Allowed values: `NONE`, `APPROVE`, `REJECT`
      - `creatorEntityId` (string, optional) — The ID of the entity who created this invoice.
      - `creatorUser` (object, optional) — Entity user who created this invoice.
        - `id` (string, required)
        - `roles` (list of string, required)
        - `createdAt` (datetime, required)
        - `updatedAt` (datetime, required)
        - `foreignId` (string, optional) — The ID used to identify this user in your system.
        - `email` (string, optional)
        - `name` (string, optional)
      - `currency` (enum, optional) — Currency code for the amount. Defaults to USD.
        - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
      - `deductionDate` (datetime, optional) — Initial date when funds are scheduled to be deducted from payer's account. The actual deduction date may differ from this date, and will be reflected in the processedAt field.
      - `dueDate` (datetime, optional) — Due date of invoice.
      - `entityGroupForeignId` (string, optional) — The foreign ID of the entity group that created this invoice.
      - `entityGroupId` (string, optional) — The ID of the entity group that created this invoice.
      - `failureType` (enum, optional) — If the invoice failed to be paid, this field will be populated with the type of failure.
        - Allowed values: `SOURCE_PAYMENT_ERROR`, `DESTINATION_PAYMENT_ERROR`, `REJECTED_HIGH_RISK`, `INSUFFICIENT_FUNDS`, `PROCESSING_ERROR`
      - `fees` (object, optional) — Fees associated with this invoice.
        - `sourcePaymentMethodFee` (double, required) — Fee charged to the platform (C1) for processing the source payment method. For example, credit card interchange and acquiring fees.
        - `sourcePlatformMarkupFee` (double, required) — Fee charged to the payer (C2).
        - `destinationPaymentMethodFee` (double, required) — Fee charged to the platform (C1) for processing the destination payment method. For example, postage for a check payment.
        - `destinationPlatformMarkupFee` (double, required) — Fee charged to the payee (C3).
      - `foreignId` (string, optional) — The ID used to identify this invoice in your system. This ID must be unique within each creatorEntity in your system, e.g. two invoices with the same creatorEntity may not have the same foreign ID.
      - `invoiceDate` (datetime, optional) — Date the invoice was issued.
      - `invoiceNumber` (string, optional)
      - `lineItems` (list of object, optional)
        - `id` (string, required)
        - `currency` (enum, required)
          - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
        - `category` (string, required) — Category of the line item. Defaults to 'EXPENSE'.
        - `createdAt` (datetime, required)
        - `updatedAt` (datetime, required)
        - `amount` (double, optional) — Total amount of line item in major units.
        - `description` (string, optional)
        - `name` (string, optional)
        - `quantity` (double, optional)
        - `unitPrice` (double, optional) — Unit price of line item in major units.
        - `serviceStartDate` (datetime, optional)
        - `serviceEndDate` (datetime, optional)
        - `metadata` (map from string to string, optional)
        - `glAccountId` (string, optional) — ID of general ledger account associated with this line item.
      - `netTerms` (integer, optional) — Net terms in days. Must be a positive number.
      - `nextDeductionDate` (datetime, optional) — For invoice templates, this is the date when the next recurring payment will be scheduled.
      - `noteToSelf` (string, optional)
      - `ocrJobId` (string, optional) — ID of the OCR job that processed this invoice.
      - `payer` (object, optional)
        - `acceptedTos` (boolean, required) — True if this entity has accepted the terms of service.
        - `accountType` (enum, required)
          - Allowed values: `business`, `individual`
        - `createdAt` (datetime, required)
        - `email` (string, required)
        - `id` (string, required)
        - `isCustomer` (boolean, required) — True if this entity has a direct relationship with your organization.
        - `isNetworkPayee` (boolean, required) — True if this entity is available as a payee to any entity on your platform. Otherwise this entity will only be available as a payee to entities that have a direct relationship with this entity.
        - `isNetworkPayor` (boolean, required) — True if this entity is available as a payor to any entity on your platform. Otherwise this entity will only be available as a payor to entities that have a direct relationship with this entity.
        - `isPayee` (boolean, required) — True if this entity can receive payments.
        - `isPayor` (boolean, required) — True if this entity can pay invoices.
        - `name` (string, required)
        - `profile` (object, required)
          - `business` (object, optional) — Will be set if the entity is a business
            - `legalBusinessName` (string, required)
            - `taxIDProvided` (boolean, required)
            - `email` (string, optional)
            - `businessType` (enum, optional)
            - `phone` (object, optional)
            - `doingBusinessAs` (string, optional)
            - `website` (string, optional)
            - `description` (string, optional)
            - `address` (object, optional)
            - `ownersProvided` (boolean, optional) — True if all representatives have been provided for this business.
            - `taxId` (object, optional)
            - `formationDate` (datetime, optional)
            - `industryCodes` (object, optional)
            - `averageMonthlyTransactionVolume` (double, optional)
            - `averageTransactionSize` (double, optional)
            - `maxTransactionSize` (double, optional)
          - `individual` (object, optional) — Will be set if the entity is a individual
            - `name` (object, required)
            - `birthDateProvided` (boolean, required)
            - `governmentIDProvided` (boolean, required)
            - `email` (string, optional)
            - `phone` (object, optional)
            - `address` (object, optional)
        - `status` (enum, required)
          - Allowed values: `unverified`, `pending`, `resubmit`, `review`, `verified`, `failed`
        - `updatedAt` (datetime, required)
        - `accounts` (list of object, optional) — If the entity searching for counterparties has any accounts configured in the Payee/Payor relationship, they will be returned
          - `accountId` (string, required) — The ID the counterparty has assigned to this account.
          - `postalCode` (string, optional) — The postal code the counterparty has assigned to this account.
          - `nameOnAccount` (string, optional) — The name on the account the counterparty has assigned to this account.
        - `counterpartyType` (list of enum, optional)
          - Allowed values: `ENTITY`, `NETWORK`
        - `emailTo` (string, optional) — Local-part/username of the email address to which to send invoices to be added to the Invoice Inbox.
        - `emailToAlias` (list of string, optional) — Email inbox alias addresses. Used when forwarding emails to the emailTo address from an alias.
        - `foreignId` (string, optional) — The ID used to identify this entity in your system
        - `invoiceMetrics` (object, optional)
          - `totalCount` (integer, required)
          - `totalAmount` (double, required)
          - `statuses` (list of object, required)
            - `status` (enum, required)
            - `totalCount` (integer, required)
            - `totalAmount` (double, required)
        - `logo` (string, optional) — URL for the entity logo
        - `metadata` (map from string to string, optional) — Simple key/value metadata associated with this entity. For more complex metadata, use the Metadata API.
        - `oatfiStatus` (string, optional) — The OatFi status of this entity
        - `oatfiUnderwritingResponse` (map from string to string, optional) — The OatFi underwriting response of this entity
        - `paymentMethods` (list of object, optional)
          - `type`: `bankAccount`
            - `accountName` (string, required)
            - `accountNumber` (string, required)
            - `accountType` (enum, required)
            - `bankName` (string, required)
            - `createdAt` (datetime, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `routingNumber` (string, required)
            - `status` (enum, required)
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `checkOptions` (object, optional) — If check printing is enabled for the account, will return the check options for this bank account
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `card`
            - `cardBrand` (enum, required)
            - `cardType` (enum, required)
            - `createdAt` (datetime, required)
            - `expMonth` (string, required)
            - `expYear` (string, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `lastFour` (string, required)
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `check`
            - `addressLine1` (string, required)
            - `city` (string, required)
            - `country` (string, required)
            - `createdAt` (datetime, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `payToTheOrderOf` (string, required)
            - `postalCode` (string, required)
            - `stateOrProvince` (string, required)
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `addressLine2` (string, optional)
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `custom`
            - `createdAt` (datetime, required)
            - `data` (map from string to string, required) — Object of key/value pairs that matches the keys in the linked payment method schema.
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `schema` (object, required)
            - `schemaId` (string, required) — Payment method schema used for this payment method. Defines the fields that this payment method contains.
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `accountName` (string, optional)
            - `accountNumber` (string, optional)
            - `availableBalance` (double, optional) — The available balance for this payment method.
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `foreignId` (string, optional) — ID for this payment method in your system
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `offPlatform`
            - `createdAt` (datetime, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `utility`
            - `createdAt` (datetime, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `utilityId` (string, required) — The ID of the utility that this payment method is linked to.
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `type`: `wallet`
            - `availableBalance` (object, required) — The balance available for use in this wallet.
            - `createdAt` (datetime, required)
            - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
            - `id` (string, required)
            - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
            - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
            - `metadata` (map from string to string, required) — Metadata associated with this payment method.
            - `pendingBalance` (object, required) — The in-flight balance into/out of this wallet.
            - `supportedCurrencies` (list of enum, required)
            - `updatedAt` (datetime, required)
            - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
            - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
      - `payerId` (string, optional)
      - `paymentDestination` (object, optional)
        - `type`: `bankAccount`
          - `accountName` (string, required)
          - `accountNumber` (string, required)
          - `accountType` (enum, required)
            - Allowed values: `CHECKING`, `SAVINGS`, `UNKNOWN`
          - `bankName` (string, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `routingNumber` (string, required)
          - `status` (enum, required)
            - Allowed values: `NEW`, `VERIFIED`, `VERIFICATION_FAILED`, `PENDING`, `ERRORED`
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `checkOptions` (object, optional) — If check printing is enabled for the account, will return the check options for this bank account
            - `signatoryName` (string, required) — Name of the person who's signature will be printed on the check.
            - `enabled` (boolean, optional) — If true, will allow the user to print checks from this bank account
            - `initialCheckNumber` (integer, optional) — If provided, will start the check number sequence at the provided number. If not provided, will start at 5000.
            - `routingNumberOverride` (string, optional) — If provided, will print a check with the provided routing number instead of the one from the bank account
            - `accountNumberOverride` (string, optional) — If provided, will print a check with the provided account number instead of the one from the bank account
            - `accountHolderNameOverride` (string, optional) — If provided, will print a check with the provided account holder name instead of the payer name from the invoice
            - `accountHolderAddressOverride` (object, optional) — If provided, will print a check with the provided account holder address instead of the payer address from the invoice
            - `signatureImage` (string, optional) — Base64 encoded image of the signature. If not provided, will use the signatoryName to generate a signature. Mercoa will automatically grayscale, resize, and convert the image to a PNG the image to fit on the check.
            - `useSignatureImage` (boolean, optional) — If true, will print checks with the provided signatureImage. If false, will print checks with a generated signature from the signatoryName. If this parameter is not set the default behavior is to use the signatureImage if provided.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `card`
          - `cardBrand` (enum, required)
            - Allowed values: `AmericanExpress`, `Discover`, `Mastercard`, `Visa`
          - `cardType` (enum, required)
            - Allowed values: `credit`, `debit`, `prepaid`, `unknown`
          - `createdAt` (datetime, required)
          - `expMonth` (string, required)
          - `expYear` (string, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `lastFour` (string, required)
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `check`
          - `addressLine1` (string, required)
          - `city` (string, required)
          - `country` (string, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `payToTheOrderOf` (string, required)
          - `postalCode` (string, required)
          - `stateOrProvince` (string, required)
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `addressLine2` (string, optional)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `custom`
          - `createdAt` (datetime, required)
          - `data` (map from string to string, required) — Object of key/value pairs that matches the keys in the linked payment method schema.
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `schema` (object, required)
            - `id` (string, required)
            - `name` (string, required)
            - `isSource` (boolean, required) — This payment method can be used as a payment source for an invoice
            - `isDestination` (boolean, required) — This payment method can be used as a payment destination for an invoice
            - `supportedCurrencies` (list of enum, required) — List of currencies that this payment method supports.
            - `fields` (list of object, required)
            - `estimatedProcessingTime` (integer, required) — Estimated time in days for this payment method to process a payments. 0 is an same-day payment methods, -1 is unknown processing time.
            - `createdAt` (datetime, required)
            - `updatedAt` (datetime, required)
            - `maxAmount` (double, optional) — The maximum amount that can be transferred from this payment method in a single transaction.
            - `minAmount` (double, optional) — The minimum amount that can be transferred from this payment method in a single transaction. Default is 1.
          - `schemaId` (string, required) — Payment method schema used for this payment method. Defines the fields that this payment method contains.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `accountName` (string, optional)
          - `accountNumber` (string, optional)
          - `availableBalance` (double, optional) — The available balance for this payment method.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `foreignId` (string, optional) — ID for this payment method in your system
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `offPlatform`
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `utility`
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `utilityId` (string, required) — The ID of the utility that this payment method is linked to.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `wallet`
          - `availableBalance` (object, required) — The balance available for use in this wallet.
            - `amount` (double, required) — The amount in major units of the currency.
            - `currency` (enum, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `pendingBalance` (object, required) — The in-flight balance into/out of this wallet.
            - `amount` (double, required) — The amount in major units of the currency.
            - `currency` (enum, required)
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
      - `paymentDestinationId` (string, optional)
      - `paymentDestinationOptions` (object, optional)
        - `type`: `check`
          - `delivery` (enum, optional) — Delivery method for check disbursements. Defaults to MAIL.
            - Allowed values: `PRINT`, `MAIL`, `MAIL_PRIORITY`, `MAIL_UPS_NEXT_DAY`
          - `printDescription` (boolean, optional) — If true, prints the invoice description (noteToSelf) on the check note. Defaults to false.
        - `type`: `bankAccount`
          - `delivery` (enum, optional) — Delivery method for ACH payments. Defaults to ACH_SAME_DAY.
            - Allowed values: `ACH_STANDARD`, `ACH_SAME_DAY`, `ACH_ACCELERATED`
          - `description` (string, optional) — ACH Statement Description. By default, this will be 'AP' followed by the first 8 characters of the invoice ID (for a single invoice) or the first 8 characters of the transaction ID (for a batch payment). Must be at least 4 characters and no more than 10 characters, and follow this regex pattern `^[a-zA-Z0-9\-#.$&* ]{4,10}$`
        - `type`: `utility`
          - `accountId` (string, required) — The ID for the utility account to pay with. Links to accounts listed on payor/payee relationship.
        - `type`: `custom`
          - `dynamicUrls` (map from string to string, optional) — Map of field names to dynamic URL values that will be used for dynamicUrl fields in custom payment method schemas
      - `paymentSchedule` (object, optional) — If this is a recurring invoice, this will be the payment schedule for the invoice. If not provided, this will be a one-time invoice.
        - `type`: `oneTime`
          - `ends` (integer or datetime, optional) — When to end the payments, either a number of occurrences or a date. Defaults to never ending if not specified
          - `repeatEvery` (integer, optional) — How often to repeat the payments. Defaults to 1. Must be greater than 0. For example, if repeatEvery is set to 2 and this is a daily payment, the payment will be made every other day. If repeatEvery is set to 3 and this is a weekly payment, the payment will be made every third week.
        - `type`: `daily`
          - `ends` (integer or datetime, optional) — When to end the payments, either a number of occurrences or a date. Defaults to never ending if not specified
          - `repeatEvery` (integer, optional) — How often to repeat the payments. Defaults to 1. Must be greater than 0. For example, if repeatEvery is set to 2 and this is a daily payment, the payment will be made every other day. If repeatEvery is set to 3 and this is a weekly payment, the payment will be made every third week.
        - `type`: `weekly`
          - `repeatOn` (list of enum, required)
            - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`
          - `ends` (integer or datetime, optional) — When to end the payments, either a number of occurrences or a date. Defaults to never ending if not specified
          - `repeatEvery` (integer, optional) — How often to repeat the payments. Defaults to 1. Must be greater than 0. For example, if repeatEvery is set to 2 and this is a daily payment, the payment will be made every other day. If repeatEvery is set to 3 and this is a weekly payment, the payment will be made every third week.
        - `type`: `monthly`
          - `repeatOnDay` (integer, required) — Day of the month to repeat on. Positive values (1-31): Represent the day of the month counting from the start (e.g., 10 is the 10th day of the month). Negative values (-1 to -31): Represent the day of the month counting backward from the end (e.g., -1 is the last day of the month, -2 is the second-to-last day).
          - `ends` (integer or datetime, optional) — When to end the payments, either a number of occurrences or a date. Defaults to never ending if not specified
          - `repeatEvery` (integer, optional) — How often to repeat the payments. Defaults to 1. Must be greater than 0. For example, if repeatEvery is set to 2 and this is a daily payment, the payment will be made every other day. If repeatEvery is set to 3 and this is a weekly payment, the payment will be made every third week.
          - `dayOffset` (integer, optional, deprecated) — deprecated. will be removed in the future and will always be 0.
        - `type`: `yearly`
          - `repeatOnDay` (integer, required) — Day of the month to repeat on. Positive values (1-31): Represent the day of the month counting from the start (e.g., 10 is the 10th day of the month). Negative values (-1 to -31): Represent the day of the month counting backward from the end (e.g., -1 is the last day of the month, -2 is the second-to-last day).
          - `repeatOnMonth` (integer, required) — Month to repeat on (1-12).
          - `ends` (integer or datetime, optional) — When to end the payments, either a number of occurrences or a date. Defaults to never ending if not specified
          - `repeatEvery` (integer, optional) — How often to repeat the payments. Defaults to 1. Must be greater than 0. For example, if repeatEvery is set to 2 and this is a daily payment, the payment will be made every other day. If repeatEvery is set to 3 and this is a weekly payment, the payment will be made every third week.
      - `paymentSource` (object, optional)
        - `type`: `bankAccount`
          - `accountName` (string, required)
          - `accountNumber` (string, required)
          - `accountType` (enum, required)
            - Allowed values: `CHECKING`, `SAVINGS`, `UNKNOWN`
          - `bankName` (string, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `routingNumber` (string, required)
          - `status` (enum, required)
            - Allowed values: `NEW`, `VERIFIED`, `VERIFICATION_FAILED`, `PENDING`, `ERRORED`
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `checkOptions` (object, optional) — If check printing is enabled for the account, will return the check options for this bank account
            - `signatoryName` (string, required) — Name of the person who's signature will be printed on the check.
            - `enabled` (boolean, optional) — If true, will allow the user to print checks from this bank account
            - `initialCheckNumber` (integer, optional) — If provided, will start the check number sequence at the provided number. If not provided, will start at 5000.
            - `routingNumberOverride` (string, optional) — If provided, will print a check with the provided routing number instead of the one from the bank account
            - `accountNumberOverride` (string, optional) — If provided, will print a check with the provided account number instead of the one from the bank account
            - `accountHolderNameOverride` (string, optional) — If provided, will print a check with the provided account holder name instead of the payer name from the invoice
            - `accountHolderAddressOverride` (object, optional) — If provided, will print a check with the provided account holder address instead of the payer address from the invoice
            - `signatureImage` (string, optional) — Base64 encoded image of the signature. If not provided, will use the signatoryName to generate a signature. Mercoa will automatically grayscale, resize, and convert the image to a PNG the image to fit on the check.
            - `useSignatureImage` (boolean, optional) — If true, will print checks with the provided signatureImage. If false, will print checks with a generated signature from the signatoryName. If this parameter is not set the default behavior is to use the signatureImage if provided.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `card`
          - `cardBrand` (enum, required)
            - Allowed values: `AmericanExpress`, `Discover`, `Mastercard`, `Visa`
          - `cardType` (enum, required)
            - Allowed values: `credit`, `debit`, `prepaid`, `unknown`
          - `createdAt` (datetime, required)
          - `expMonth` (string, required)
          - `expYear` (string, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `lastFour` (string, required)
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `check`
          - `addressLine1` (string, required)
          - `city` (string, required)
          - `country` (string, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `payToTheOrderOf` (string, required)
          - `postalCode` (string, required)
          - `stateOrProvince` (string, required)
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `addressLine2` (string, optional)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `custom`
          - `createdAt` (datetime, required)
          - `data` (map from string to string, required) — Object of key/value pairs that matches the keys in the linked payment method schema.
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `schema` (object, required)
            - `id` (string, required)
            - `name` (string, required)
            - `isSource` (boolean, required) — This payment method can be used as a payment source for an invoice
            - `isDestination` (boolean, required) — This payment method can be used as a payment destination for an invoice
            - `supportedCurrencies` (list of enum, required) — List of currencies that this payment method supports.
            - `fields` (list of object, required)
            - `estimatedProcessingTime` (integer, required) — Estimated time in days for this payment method to process a payments. 0 is an same-day payment methods, -1 is unknown processing time.
            - `createdAt` (datetime, required)
            - `updatedAt` (datetime, required)
            - `maxAmount` (double, optional) — The maximum amount that can be transferred from this payment method in a single transaction.
            - `minAmount` (double, optional) — The minimum amount that can be transferred from this payment method in a single transaction. Default is 1.
          - `schemaId` (string, required) — Payment method schema used for this payment method. Defines the fields that this payment method contains.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `accountName` (string, optional)
          - `accountNumber` (string, optional)
          - `availableBalance` (double, optional) — The available balance for this payment method.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `foreignId` (string, optional) — ID for this payment method in your system
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `offPlatform`
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `utility`
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `utilityId` (string, required) — The ID of the utility that this payment method is linked to.
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
        - `type`: `wallet`
          - `availableBalance` (object, required) — The balance available for use in this wallet.
            - `amount` (double, required) — The amount in major units of the currency.
            - `currency` (enum, required)
          - `createdAt` (datetime, required)
          - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
          - `id` (string, required)
          - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
          - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
          - `metadata` (map from string to string, required) — Metadata associated with this payment method.
          - `pendingBalance` (object, required) — The in-flight balance into/out of this wallet.
            - `amount` (double, required) — The amount in major units of the currency.
            - `currency` (enum, required)
          - `supportedCurrencies` (list of enum, required)
            - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
          - `updatedAt` (datetime, required)
          - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
          - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
      - `paymentSourceId` (string, optional)
      - `paymentSourceOptions` (object, optional)
        - `type`: `bnpl`
          - `acceptedTerms` (boolean, required) — Whether the user has agreed to the BNPL terms
          - `defermentWeeks` (integer, required) — The number of weeks to defer repayment
          - `installmentsStartDate` (string, required) — The start date for installments in YYYY-MM-DD format
          - `downpaymentId` (string, optional) — The ID of the downpayment to use for the BNPL payment.
          - `loanId` (string, optional) — The ID of the loan to use for the BNPL payment.
      - `paymentTiming` (object, optional)
        - `estimatedProcessingDate` (datetime, required) — Estimated date the payment will be or was processed.
        - `businessDays` (integer, required) — Number of business days between the estimated processing date and the estimated settlement date. This does not take into account bank holidays or weekends.
        - `estimatedProcessingTime` (integer, required) — Estimated payment time in days. This time takes into account bank holidays and weekends.
        - `estimatedSettlementDate` (datetime, required) — Estimated date the payment will be or was settled. This is the same as the request's deductionDate plus the paymentTiming.
      - `processedAt` (datetime, optional) — Date when the invoice payment was processed.
      - `recurringTemplateId` (string, optional) — ID of the invoice template that created this recurring invoice. Only present if the invoice was created from a recurring template.
      - `serviceEndDate` (datetime, optional)
      - `serviceStartDate` (datetime, optional)
      - `settlementDate` (datetime, optional) — Date of funds settlement.
      - `shippingAmount` (double, optional) — Shipping amount for this invoice.
      - `taxAmount` (double, optional) — Tax amount for this invoice.
      - `transactions` (list of object, optional) — Transactions associated with this invoice.
        - `type`: `bankAccountToBankAccount`
          - `amount` (double, required)
          - `createdAt` (datetime, required)
          - `currency` (string, required)
          - `id` (string, required)
          - `payer` (object, required)
            - `acceptedTos` (boolean, required) — True if this entity has accepted the terms of service.
            - `accountType` (enum, required)
            - `createdAt` (datetime, required)
            - `email` (string, required)
            - `id` (string, required)
            - `isCustomer` (boolean, required) — True if this entity has a direct relationship with your organization.
            - `isNetworkPayee` (boolean, required) — True if this entity is available as a payee to any entity on your platform. Otherwise this entity will only be available as a payee to entities that have a direct relationship with this entity.
            - `isNetworkPayor` (boolean, required) — True if this entity is available as a payor to any entity on your platform. Otherwise this entity will only be available as a payor to entities that have a direct relationship with this entity.
            - `isPayee` (boolean, required) — True if this entity can receive payments.
            - `isPayor` (boolean, required) — True if this entity can pay invoices.
            - `name` (string, required)
            - `profile` (object, required)
            - `status` (enum, required)
            - `updatedAt` (datetime, required)
            - `accounts` (list of object, optional) — If the entity searching for counterparties has any accounts configured in the Payee/Payor relationship, they will be returned
            - `counterpartyType` (list of enum, optional)
            - `emailTo` (string, optional) — Local-part/username of the email address to which to send invoices to be added to the Invoice Inbox.
            - `emailToAlias` (list of string, optional) — Email inbox alias addresses. Used when forwarding emails to the emailTo address from an alias.
            - `foreignId` (string, optional) — The ID used to identify this entity in your system
            - `invoiceMetrics` (object, optional)
            - `logo` (string, optional) — URL for the entity logo
            - `metadata` (map from string to string, optional) — Simple key/value metadata associated with this entity. For more complex metadata, use the Metadata API.
            - `oatfiStatus` (string, optional) — The OatFi status of this entity
            - `oatfiUnderwritingResponse` (map from string to string, optional) — The OatFi underwriting response of this entity
            - `paymentMethods` (list of object, optional)
          - `payerId` (string, required)
          - `paymentDestination` (object, required)
            - `type`: `bankAccount`
              - `accountName` (string, required)
              - `accountNumber` (string, required)
              - `accountType` (enum, required)
              - `bankName` (string, required)
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `routingNumber` (string, required)
              - `status` (enum, required)
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `checkOptions` (object, optional) — If check printing is enabled for the account, will return the check options for this bank account
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `card`
              - `cardBrand` (enum, required)
              - `cardType` (enum, required)
              - `createdAt` (datetime, required)
              - `expMonth` (string, required)
              - `expYear` (string, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `lastFour` (string, required)
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `check`
              - `addressLine1` (string, required)
              - `city` (string, required)
              - `country` (string, required)
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `payToTheOrderOf` (string, required)
              - `postalCode` (string, required)
              - `stateOrProvince` (string, required)
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `addressLine2` (string, optional)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `custom`
              - `createdAt` (datetime, required)
              - `data` (map from string to string, required) — Object of key/value pairs that matches the keys in the linked payment method schema.
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `schema` (object, required)
              - `schemaId` (string, required) — Payment method schema used for this payment method. Defines the fields that this payment method contains.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `accountName` (string, optional)
              - `accountNumber` (string, optional)
              - `availableBalance` (double, optional) — The available balance for this payment method.
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `foreignId` (string, optional) — ID for this payment method in your system
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `offPlatform`
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `utility`
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `utilityId` (string, required) — The ID of the utility that this payment method is linked to.
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `wallet`
              - `availableBalance` (object, required) — The balance available for use in this wallet.
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `pendingBalance` (object, required) — The in-flight balance into/out of this wallet.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
          - `paymentDestinationId` (string, required)
          - `paymentSource` (object, required)
            - `type`: `bankAccount`
              - `accountName` (string, required)
              - `accountNumber` (string, required)
              - `accountType` (enum, required)
              - `bankName` (string, required)
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `routingNumber` (string, required)
              - `status` (enum, required)
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `checkOptions` (object, optional) — If check printing is enabled for the account, will return the check options for this bank account
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `card`
              - `cardBrand` (enum, required)
              - `cardType` (enum, required)
              - `createdAt` (datetime, required)
              - `expMonth` (string, required)
              - `expYear` (string, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `lastFour` (string, required)
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `check`
              - `addressLine1` (string, required)
              - `city` (string, required)
              - `country` (string, required)
              - `createdAt` (datetime, required)
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `payToTheOrderOf` (string, required)
              - `postalCode` (string, required)
              - `stateOrProvince` (string, required)
              - `supportedCurrencies` (list of enum, required)
              - `updatedAt` (datetime, required)
              - `addressLine2` (string, optional)
              - `externalAccountingSystemId` (string, optional) — ID for this payment method in the external accounting system (e.g Rutter or Codat)
              - `confirmedByEntity` (boolean, optional) — (ALPHA, MAY BE REMOVED) Indicates whether the payment method has been verified by the entity. This is useful if another entity has added this payment method to this entity, and you want the owner of the payment method to verify it is correct.
            - `type`: `custom`
              - `createdAt` (datetime, required)
              - `data` (map from string to string, required) — Object of key/value pairs that matches the keys in the linked payment method schema.
              - `frozen` (boolean, required) — Frozen payment methods cannot be used for payments, but will still be returned in API responses.
              - `id` (string, required)
              - `isDefaultDestination` (boolean, required) — Indicates whether this payment method is the default destination for the entity
              - `isDefaultSource` (boolean, required) — Indicates whether this payment method is the default source for the entity
              - `metadata` (map from string to string, required) — Metadata associated with this payment method.
              - `schema` (object, required)
[...]
